
{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Berita Acara Serah Terima Pekerjaan (BAST)</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            line-height: 1.2;
            color: #000 !important;
        }
        .container {
            max-width: 800px;
            margin: 0 auto;
        }
        .header {
            text-align: center;
            /* margin-bottom: 20px; */
            
        }
        
        .section-heading {
            font-size: 12pt;
            font-weight: bold;
            margin-top: 15px;
            text-align: center;
        }
        .table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 10px;
        }
        .table th, .table td {
            border: 1px solid #dddddd;
            padding: 8px;
            text-align: left;
        }

        .signature-block {
            width: 50%;
        }

        .signature-block.right {
            text-align: left;
            width: 70%;
        }

        .cenetr{
            page-break-inside: avoid;
        }

        
        .tables {
            width: 100%;
            border-collapse: collapse;
            margin:0;
        }
        .txtcenter{
            padding: 0;
            text-align: center;
        }


        .signature-section {
            flex: 1;
            display: flex;
            flex-direction: column; /* Mengatur elemen dalam tata letak kolom */
            justify-content: center; /* Memposisikan elemen secara vertikal di tengah */
            align-items: center; /* Memposisikan elemen secara horizontal di tengah */
            text-align: center; /* Menyelaraskan teks di tengah */
        }
        .signature-second {
            flex: 1; 
        }
        .container-sign {
            width: 100%; /* Lebar penuh untuk container */
            display: flex; /* Mengaktifkan Flexbox */
            justify-content: space-between; /* Memberikan jarak di antara elemen secara merata */
            break-inside: avoid;
        }
        
        .signature-block {
            font-size: 12pt;
            width: 50%;
        }

        .signature-block.right {
            font-size: 12pt;
            text-align: right;
        }
        /* kopsurat */
        .letterhead {
            width: 100%;
            padding: 0px;
            box-sizing: border-box;
        }

        .logo {
            float: left;
            width: 100px; /* Sesuaikan ukuran logo */
            height: auto;
            
        }

        .header-text {
            text-align: center; /* Meratakan teks di tengah */
        }
        .justify-text {
            text-align: justify;
            margin-left: 0px;
            margin-bottom: 0px;
            font-size: 12pt;
        }

        .header-text h1,h2,h3,h4,h5
        .header-text p {
            margin: 0; /* Menghapus margin default */
        }

        .address {
            text-align: center; /* Meratakan teks di tengah */
            margin: 0; /* Mengurangi margin atas dan bawah */
            padding-bottom: 5px;
            border-bottom: 2px solid #333;
        }
        .custom-table {
            border-collapse: collapse;
            width: 100%;
            margin-top: 20px
        }
        .custom-table th, .custom-table td {
            border: 1px solid #333; /* Ganti warna border sesuai kebutuhan */
            padding: 2px;
            text-align: left;
            font-size: 12pt;
        }
        .table-pertama {
            border-collapse: collapse;
            margin-top: 10px;
            font-size: 12pt;
            
        }
        .table-pertama th, .table-pertama td {
            text-align: left;
            padding-top: 3px;
        }
        /* Menargetkan td pertama dalam tbody */
        .table-pertama td:first-child {
            padding-right: 10px;
            white-space: nowrap; /* Mencegah teks membungkus */
            overflow: hidden; /* Menyembunyikan teks yang melampaui batas */
            text-overflow: ellipsis; /* Menambahkan tanda ... jika teks terlalu panjang */
        }

        /* Menargetkan td kedua dalam tbody */
        .table-pertama td:nth-child(2) {
            min-width: 80px;
            white-space: nowrap; /* Mencegah teks membungkus */
            overflow: hidden; /* Menyembunyikan teks yang melampaui batas */
            text-overflow: ellipsis; /* Menambahkan tanda ... jika teks terlalu panjang */
        }
        .table-pertama td:nth-child(3) {
            padding-right: 10px;
            text-align: right;
            white-space: nowrap; /* Mencegah teks membungkus */
            overflow: hidden; /* Menyembunyikan teks yang melampaui batas */
            text-overflow: ellipsis; /* Menambahkan tanda ... jika teks terlalu panjang */
        }
        .table-sign {
            border-collapse: collapse;
            margin-top: 0px;
            font-size: 12pt;
            width: 100%; 
            
        }
        .pt{
            padding-top: 50px !important;
        }
        .table-sign th {
            text-align: center;
            vertical-align: top;
            padding-top: 3px;
        }

        .table-sign td {
            text-align: center;
            vertical-align: top;
            padding-top: 3px;
        }
        .br-right{
            border-right: 1px solid #333 !important;
        }
        .br-bottom{
            border-bottom: 1px solid #333 !important;
        }
        .br-top{
            border-top: 1px solid #333 !important;
        }
        .br-left{
            border-left: 1px solid #333 !important;
        }


        .table-kedua {
            border-collapse: collapse;
            margin-top: 0px;
            font-size: 12pt;

        }
        .table-kedua th, .table-kedua td {
            text-align: left;
            vertical-align: top;
            padding-top: 3px;
        }
        /* Menargetkan td kedua dalam tbody */
        .table-kedua td:first-child {
            min-width: 4px;
            padding-right: 5px;
            white-space: nowrap; /* Mencegah teks membungkus */
            overflow: hidden; /* Menyembunyikan teks yang melampaui batas */
            text-overflow: ellipsis; /* Menambahkan tanda ... jika teks terlalu panjang */
        }

        /* Menargetkan td kedua dalam tbody */
        .table-kedua td:nth-child(2) {
            min-width: 80px;
            text-align: left;
            white-space: nowrap; /* Mencegah teks membungkus */
            overflow: hidden; /* Menyembunyikan teks yang melampaui batas */
            text-overflow: ellipsis; /* Menambahkan tanda ... jika teks terlalu panjang */
        }
        .table-kedua td:nth-child(3) {
            padding-right: 5px;/
        }
        .table-kedua td:nth-child(4) {
            min-width: 80px;
            text-align: left;
            padding-right: 10px;
            white-space: nowrap; /* Mencegah teks membungkus */
            overflow: hidden; /* Menyembunyikan teks yang melampaui batas */
            text-overflow: ellipsis; /* Menambahkan tanda ... jika teks terlalu panjang */
        }
    </style>
    <link rel="stylesheet" type="text/css" href="{{url_app}}{% static 'admin/css/bootstrap.min.css' %}"> 
</head>
<body onload="window.print()">
    {% for item_bastp in data_bast %}
    <div class="container">    
          <div class="row">
            <div class="col-2 text-start">
                <img src="{{url_app}}{% static 'admin/images/logo-dgy.png' %}" alt="Logo" class="logo" width="70px">
            </div>
            <div class="col-8 text-center">
                <h5 class="m-0">PEMERINTAH KABUPATEN DOGIYAI</h5>
                <h3 class="mt-1"><b>{{data_spk.opd.namaopd|upper}}</b></h3>
                <p style="margin: 0px;">{{data_spk.opd.alamatopd}}</p>
            </div>
            <div class="col-2"></div>
        </div>
        <hr class="border border-dark my-2 p-0">

      <div class="section-heading mt-4"><h3><u>BERITA ACARA SERAH TERIMA BARANG/JASA</u></h3></div>
      <div class=""><p style="margin: 0px; padding-bottom: 10px; text-align: center; font-size: 12pt;">NOMOR : {{item_bastp.nobap}}</p></div>
       <p class="justify-text mt-4">
         Pada hari ini {{item_bastp.tglbap|tanggal_lafal|title }}  ({{ item_bastp.tglbap|date:"d/m/Y" }}) Telah dilakukan Serah Terima Hasil Pekerjaan/Barang sesuai dengan SURAT PERINTAH KERJA Nomor : {{data_spk.nospk}} tanggal {{ data_spk.tglspk|date:"j F Y" }}, antara kami yang bertanda tangan di bawah ini:
       </p>
       <table class="table-pertama">
        <tr>
            <td>I.</td>
            <td>Nama </td>
            <td>:</td>
            <td>{{data_spk.perusahaan.namadirektur|upper}} </td>
        </tr>
        <tr> 
            <td></td>
            <td>Jabatan </td>
            <td>:</td>
            <td>PIMPINAN {{data_spk.perusahaan.namaperusahaan|upper}} </td>
        </tr>
       </table>
       <p style="margin-left: 20px ; margin-top: 5px ; margin-bottom: 5px ; font-size: 12pt;">Selanjutnya disebut <span style="font-weight: bold;">PIHAK PERTAMA</span></p>
       <table class="table-kedua">
        {% for dt_pihak in item_bastp.penerimabast_set.all %}
            {% if forloop.first %}
            <tr>
                <td>II.</td>
                <td>Nama</td>
                <td>:</td>
                <td>{{ forloop.counter }}. {{ dt_pihak.name|upper }}</td>
                <td>Jabatan</td>
                <td>:</td>
                <td>{{ dt_pihak.jabatan }}</td>
            </tr>
            {% else %}
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td>{{ forloop.counter }}. {{ dt_pihak.name|upper }}</td>
                <td>Jabatan</td>
                <td>:</td>
                <td>{{ dt_pihak.jabatan }}</td>
            </tr>
            {% endif %}
        {% endfor %}
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td>{{ counter }}. {{dt_pengesah.namapegawai|upper}}</td>
            <td>Jabatan</td>
            <td>:</td>
            <td>{{ dt_pengesah.get_jabatan_display|title }}</td>
        </tr>
        
        </table>
        <p style="margin-left: 20px ; margin-top: 5px ; font-size: 12pt;">Selanjutnya disebut <span style="font-weight: bold;">PIHAK KEDUA</span></p>
       <p class="justify-text"> 
         PIHAK PERTAMAN telah menyerahkan barang/pekerjaan sesuai dengan SURAT PERINTAH KERJA (SPK) nomor: {{data_spk.nospk}} tanggal {{ data_spk.tglspk|date:"j F Y" }} kepada PIHAK KEDUA dan PIHAK KEDUA telah menerima dalam keadaan baik dan lengkap dengan uraian sebagai berikut:
       </p>
        <table class="custom-table">
            <thead class="text-center">
                <th class="text-center">Uraian Pekerjaan</th>
                <th class="text-center">Kuantitas</th>
                <th class="text-center">Satuan  Ukuran</th>
                <th class="text-center">Harga satuan  (Rp.)</th>
                <th class="text-center">Total  (Rp.)</th>
            </thead>
            <tbody>
                {% for item_rincianSPK, ssh in data_spk.rincian_rekening.items %}
                    <tr>
                        <!-- <td></td> -->
                        <td colspan="5" class="border border-dark border-3 border-right-3">
                            # {{item_rincianSPK}}
                        </td>
                    </tr>
                    {% for ssh in ssh %}
                        <tr>
                            <!-- <td></td> -->
                            <td class="text-right border border-dark border-3 pl-4" style="max-width: 350px; white-space: normal; word-break: break-word;">
                                <div class="d-inline-block text-justify text-right" style="text-align: justify; width: 100%;">
                                    {{ ssh.uraian_ssh }}
                                </div>
                            </td>
                            <td class="text-right border border-dark border-3 ">{{ssh.volume|intcomma_no_decimal}}</td>
                            <td class="text-center border border-dark border-3 ">{{ssh.satuan}}</td>
                            <td class="text-right border border-dark border-3 ">Rp {{ssh.nilai}}</td>
                            <td class="text-right border border-dark border-3">Rp {{ssh.realisasi}}</td>
                        </tr>
                    {% endfor %}
                {% endfor %}
                
                    
                <tr id="total-row">
                    <td colspan="3"></td>
                    <td class="text-right"><strong>Total</strong></td>
                    <td  class="text-right"><strong>Rp {{jumlah_harga}}</strong> </td>

                </tr>
                    
            </tbody>    
        </table>
        <p style="font-size: 12pt;" class="justify-text">
            Demikian Berita Acara Serah Terima Barang/Pekerjaan ini dibuat dengan sebenar-benarnya dan untuk dipergunakan sebagaimana mestinya.
        </p>
        
       <div class="container-sign">
        <div class="signature-section">
            <div class="signature-block">
                <p class="txtcenter"> <b><i>PIHAK PERTAMA</i></b> <br>
                    Yang Menyerahkan </p>
                <div style="padding-top: 40px;"></div>
                <p class="txtcenter"><u><b>{{data_spk.perusahaan.namadirektur|upper}}</b></u> <br> PIMPINAN</p>
            </div>
    
            <div class="signature-block right">
                <p class="txtcenter"> <b><i>Mengetahui</i></b> <br>
                    Pejabat Pelaksanan Teknis Kegiatan (PPTK)
                     </p>
                
                <div style="padding-top: 40px;"></div>
                <p class="txtcenter"><b>{{dt_pengesah.namapegawai|upper}}</b> <br>NIP. {{dt_pengesah.nip}}</p>
                
            </div>
        </div>
        <div class="signature-second">
            <table class="table-sign">
                <thead>
                    <tr>
                        <th class="br-bottom br-top br-left br-right" rowspan="3" colspan="3" style="text-align: center; vertical-align: middle;">
                            PIHAK KEDUA <br> <span style="font-weight:400 !important;">Yang Menerima</span>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    {% for dt_penerima in item_bastp.penerimabast_set.all %}
                    <tr>
                        <td class="br-top br-left  br-right">{{ forloop.counter }}</td>
                        <td class="br-right "><b>{{ dt_penerima.name }}</b></td>
                        <td class="br-right ">{{ dt_penerima.jabatan }}</td>
                    </tr>
                    <tr>
                        <td class="br-left br-bottom br-right"></td>
                        <td class="pt br-right br-bottom">Tanda Tangan</td>
                        <td class="pt br-right br-bottom">----------</td>
                    </tr>
                {% endfor %}
                    
                    {% comment %} <tr>
                        <td class=" br-top br-left br-right">2.</td>
                        <td class=" br-top br-left br-right">KRISTINA MANANGSANG</td>
                        <td class=" br-top br-left br-right">Sekertaris PPHP</td>
                    </tr>
                    <tr>
                        <td class="br-left br-right"></td>
                        <td class="pt br-right">Tanda Tangan</td>
                        <td class="pt br-right">----------</td>
                    </tr>
                    <tr>
                        <td class=" br-top br-left br-right">3.</td>
                        <td class=" br-top br-right">YOHANES GOO</td>
                        <td class=" br-top br-right">Anggota PPHP</td>
                    </tr>
                    <tr>
                        <td class="br-bottom br-left br-right"></td>
                        <td class="pt br-right br-bottom">Tanda Tangan</td>
                        <td class="pt br-right br-bottom">----------</td>
                    </tr> {% endcomment %}
                </tbody>
            </table>
        </div>
       </div>
    </div>
    {% endfor %}
</body>
</html>
{% block scripts_bawah %}
    <script>
    // Get all the elements with the class 'harga' (assuming 'harga' is the class of the cells in the Harga column)
    var hargaCells = document.querySelectorAll('.harga');
    // Initialize the total
    var total = 0;
    // Iterate through each cell in the Harga column
    hargaCells.forEach(function(cell) {
        // Parse the content of the cell as a float and add it to the total
        total += parseFloat(cell.textContent.replace(/[^\d.-]/g, ''));
    });

    // Update the total value in the total-row
    document.getElementById('total-value').textContent = total.toLocaleString('id-ID'); // Format the total with commas
</script>
{% endblock scripts_bawah %}